# Changelog

All notable changes to this project will be documented in this file.

# [@kaname-png/plugin-subcommands-advanced@2.4.4](https://github.com/sawa-ko/neko-plugins/tree/@kaname-png/plugin-subcommands-advanced@2.4.4) - (2024-05-27)

## 🏠 Refactor

- Use new format build packages ([1e370e4](https://github.com/sawa-ko/neko-plugins/commit/1e370e457a2f058db7ec54ab8e4d0537d34ec8cd))
- **subcommands-advanced:** Simplify subcommands custom structure class ([ff9de9b](https://github.com/sawa-ko/neko-plugins/commit/ff9de9b14ce1662fbeb0464dda212d7a97bdf9cd))

## 🐛 Bug Fixes

- Git cliff config wrong ([4680873](https://github.com/sawa-ko/neko-plugins/commit/46808731486c786b38d4238be6fe5fcee9f1728f))
- Main module dir package.json ([712c96c](https://github.com/sawa-ko/neko-plugins/commit/712c96c4fc960a1246cebe8dec579726e1338b27))
- **subcommands-advanced:** Use UserError when has unknown errors too ([bba9611](https://github.com/sawa-ko/neko-plugins/commit/bba9611a18157be8607db91bc6f0c85d0eaa9bce))
- **subcommands-advanced:** Use preconditions built-in instead of create a new preconditions with command options ([692d415](https://github.com/sawa-ko/neko-plugins/commit/692d415eada9333ac564459443105e77a17178d2))
- **influxdb:** :coffin: remove bad deps ([6735c68](https://github.com/sawa-ko/neko-plugins/commit/6735c68048dc0bd9195f63289d85cc8c1bba0fdd))
- ***:** Tests ([589179f](https://github.com/sawa-ko/neko-plugins/commit/589179f2021a4cd6054a7ee064e4e40a26a7ba94))
- ***:** Tslib import ([ce34a4d](https://github.com/sawa-ko/neko-plugins/commit/ce34a4da81c147528bb128e3681f1d5039c134ba))
- **advanced-subcommands:** Improve error messages about registry subcommands ([4af5300](https://github.com/sawa-ko/neko-plugins/commit/4af5300ee7dd73bc93e473b27ba38ec7a74d6ce3))
- Import typing resolution ([41f47ff](https://github.com/sawa-ko/neko-plugins/commit/41f47ffc58d8b8ebe4a06804ed736eda7f19f12a))
- **deps:** Update sapphire dependencies ([72c8b21](https://github.com/sawa-ko/neko-plugins/commit/72c8b21217ea0dcec4a56e428b28742c7851b4c8))
- **subcommands:** Esm build ([f074c08](https://github.com/sawa-ko/neko-plugins/commit/f074c085c450189e4ddc43c9cfb57a193324193e))
- **subcommands:** Wrong autogenerated name ([36677f2](https://github.com/sawa-ko/neko-plugins/commit/36677f20ae566c00ec56fac76000312dc4bf3467))
- **subcommands:** Check if property parsedSubcommandMappings exist in the parent command class ([4bd5473](https://github.com/sawa-ko/neko-plugins/commit/4bd5473f0e21b6b9197f0c06d31ca877fdacc38a))
- **subcommands:** Message when cannot get parent command information ([8aceec6](https://github.com/sawa-ko/neko-plugins/commit/8aceec6ff8187381784c9cca215d136a93368374))
- **advanced-subcommands:** Update methods from subcommands group ([6dc167c](https://github.com/sawa-ko/neko-plugins/commit/6dc167c53d26ee7a357349d55cf1cd0e3e82b196))
- **subcommands-advanced:** Prefix in logs ([d3f2185](https://github.com/sawa-ko/neko-plugins/commit/d3f21854a47f9e959da1b311f30f3acb2b4c96bf))
- **subcommands:** Readme typos [skip ci] ([58243bf](https://github.com/sawa-ko/neko-plugins/commit/58243bfdff88ab3da724b3c4289451e3752da237))
- **subcommands:** Readme typos ([00a6771](https://github.com/sawa-ko/neko-plugins/commit/00a6771f53f2b8c3042f66267f390f01dae82c0c))
- **subcommnads:** Docs typos ([c2b4cbf](https://github.com/sawa-ko/neko-plugins/commit/c2b4cbf5192ebc93b5388304d355a117542b3b3e))

## 📝 Documentation

- :bug: add last badge and fix url ([ca8dbe3](https://github.com/sawa-ko/neko-plugins/commit/ca8dbe3feb639fc59671a925a0f552d6fa8f8a84))

## 🚀 Features

- Update deps and fix conflicts ([d9602ba](https://github.com/sawa-ko/neko-plugins/commit/d9602ba4d5a691107f6524c5b58a917a4c286693))
- **deps:** Support for djs v14 ([42cf65a](https://github.com/sawa-ko/neko-plugins/commit/42cf65a7a84994253dfba953bc0051f7749b21b9))
- **subcommands:** Upgrade to @sapphire/framework@v3 ([051e1bf](https://github.com/sawa-ko/neko-plugins/commit/051e1bf3d02a6bbdf434a08f21ef34f54f9b5fa9))
- **subcommands:** Added option to autogenerate names of commands pieces ([de6c40f](https://github.com/sawa-ko/neko-plugins/commit/de6c40fcebdae7d776406e076ee9969211a428d6))
  - 💥 **BREAKING CHANGE:** Register the types of the plugin with /register import
- **subcommands-advanced:** Better logs ([def4f50](https://github.com/sawa-ko/neko-plugins/commit/def4f501aaee5fc8dbe7bb00a297ee332e029c86))
- **subcommands:** Improve documentation ([0e80e1c](https://github.com/sawa-ko/neko-plugins/commit/0e80e1cc0ac68242fe1afb2fee7197a4bd971ff9))
- **subcommands:** Improve documentation ([9614f50](https://github.com/sawa-ko/neko-plugins/commit/9614f50e49b77a86c53d4a6a68eeef8a278ffce9))
- **commands:** Better documentation and some fixes ([91bfb4d](https://github.com/sawa-ko/neko-plugins/commit/91bfb4dd59901323c25ec3aeadf19abaccffe124))
- Created subcommands advanced plugin [skip ci] ([4d56e85](https://github.com/sawa-ko/neko-plugins/commit/4d56e856408f492fb3e6d452de17467c33763135))

# [@kaname-png/plugin-subcommands-advanced@2.4.3](https://github.com/sawa-ko/neko-plugins/tree/@kaname-png/plugin-subcommands-advanced@2.4.3) - (2024-05-27)

## 🏠 Refactor

- Use new format build packages ([1e370e4](https://github.com/sawa-ko/neko-plugins/commit/1e370e457a2f058db7ec54ab8e4d0537d34ec8cd))
- **subcommands-advanced:** Simplify subcommands custom structure class ([ff9de9b](https://github.com/sawa-ko/neko-plugins/commit/ff9de9b14ce1662fbeb0464dda212d7a97bdf9cd))

## 🐛 Bug Fixes

- Git cliff config wrong ([4680873](https://github.com/sawa-ko/neko-plugins/commit/46808731486c786b38d4238be6fe5fcee9f1728f))
- Main module dir package.json ([712c96c](https://github.com/sawa-ko/neko-plugins/commit/712c96c4fc960a1246cebe8dec579726e1338b27))
- **subcommands-advanced:** Use UserError when has unknown errors too ([bba9611](https://github.com/sawa-ko/neko-plugins/commit/bba9611a18157be8607db91bc6f0c85d0eaa9bce))
- **subcommands-advanced:** Use preconditions built-in instead of create a new preconditions with command options ([692d415](https://github.com/sawa-ko/neko-plugins/commit/692d415eada9333ac564459443105e77a17178d2))
- **influxdb:** :coffin: remove bad deps ([6735c68](https://github.com/sawa-ko/neko-plugins/commit/6735c68048dc0bd9195f63289d85cc8c1bba0fdd))
- ***:** Tests ([589179f](https://github.com/sawa-ko/neko-plugins/commit/589179f2021a4cd6054a7ee064e4e40a26a7ba94))
- ***:** Tslib import ([ce34a4d](https://github.com/sawa-ko/neko-plugins/commit/ce34a4da81c147528bb128e3681f1d5039c134ba))
- **advanced-subcommands:** Improve error messages about registry subcommands ([4af5300](https://github.com/sawa-ko/neko-plugins/commit/4af5300ee7dd73bc93e473b27ba38ec7a74d6ce3))
- Import typing resolution ([41f47ff](https://github.com/sawa-ko/neko-plugins/commit/41f47ffc58d8b8ebe4a06804ed736eda7f19f12a))
- **deps:** Update sapphire dependencies ([72c8b21](https://github.com/sawa-ko/neko-plugins/commit/72c8b21217ea0dcec4a56e428b28742c7851b4c8))
- **subcommands:** Esm build ([f074c08](https://github.com/sawa-ko/neko-plugins/commit/f074c085c450189e4ddc43c9cfb57a193324193e))
- **subcommands:** Wrong autogenerated name ([36677f2](https://github.com/sawa-ko/neko-plugins/commit/36677f20ae566c00ec56fac76000312dc4bf3467))
- **subcommands:** Check if property parsedSubcommandMappings exist in the parent command class ([4bd5473](https://github.com/sawa-ko/neko-plugins/commit/4bd5473f0e21b6b9197f0c06d31ca877fdacc38a))
- **subcommands:** Message when cannot get parent command information ([8aceec6](https://github.com/sawa-ko/neko-plugins/commit/8aceec6ff8187381784c9cca215d136a93368374))
- **advanced-subcommands:** Update methods from subcommands group ([6dc167c](https://github.com/sawa-ko/neko-plugins/commit/6dc167c53d26ee7a357349d55cf1cd0e3e82b196))
- **subcommands-advanced:** Prefix in logs ([d3f2185](https://github.com/sawa-ko/neko-plugins/commit/d3f21854a47f9e959da1b311f30f3acb2b4c96bf))
- **subcommands:** Readme typos [skip ci] ([58243bf](https://github.com/sawa-ko/neko-plugins/commit/58243bfdff88ab3da724b3c4289451e3752da237))
- **subcommands:** Readme typos ([00a6771](https://github.com/sawa-ko/neko-plugins/commit/00a6771f53f2b8c3042f66267f390f01dae82c0c))
- **subcommnads:** Docs typos ([c2b4cbf](https://github.com/sawa-ko/neko-plugins/commit/c2b4cbf5192ebc93b5388304d355a117542b3b3e))

## 📝 Documentation

- :bug: add last badge and fix url ([ca8dbe3](https://github.com/sawa-ko/neko-plugins/commit/ca8dbe3feb639fc59671a925a0f552d6fa8f8a84))

## 🚀 Features

- Update deps and fix conflicts ([d9602ba](https://github.com/sawa-ko/neko-plugins/commit/d9602ba4d5a691107f6524c5b58a917a4c286693))
- **deps:** Support for djs v14 ([42cf65a](https://github.com/sawa-ko/neko-plugins/commit/42cf65a7a84994253dfba953bc0051f7749b21b9))
- **subcommands:** Upgrade to @sapphire/framework@v3 ([051e1bf](https://github.com/sawa-ko/neko-plugins/commit/051e1bf3d02a6bbdf434a08f21ef34f54f9b5fa9))
- **subcommands:** Added option to autogenerate names of commands pieces ([de6c40f](https://github.com/sawa-ko/neko-plugins/commit/de6c40fcebdae7d776406e076ee9969211a428d6))
  - 💥 **BREAKING CHANGE:** Register the types of the plugin with /register import
- **subcommands-advanced:** Better logs ([def4f50](https://github.com/sawa-ko/neko-plugins/commit/def4f501aaee5fc8dbe7bb00a297ee332e029c86))
- **subcommands:** Improve documentation ([0e80e1c](https://github.com/sawa-ko/neko-plugins/commit/0e80e1cc0ac68242fe1afb2fee7197a4bd971ff9))
- **subcommands:** Improve documentation ([9614f50](https://github.com/sawa-ko/neko-plugins/commit/9614f50e49b77a86c53d4a6a68eeef8a278ffce9))
- **commands:** Better documentation and some fixes ([91bfb4d](https://github.com/sawa-ko/neko-plugins/commit/91bfb4dd59901323c25ec3aeadf19abaccffe124))
- Created subcommands advanced plugin [skip ci] ([4d56e85](https://github.com/sawa-ko/neko-plugins/commit/4d56e856408f492fb3e6d452de17467c33763135))

