'use strict';

var framework = require('@sapphire/framework');
var pluginSubcommands = require('@sapphire/plugin-subcommands');
var const_cjs = require('../utils/const.cjs');
var functions_cjs = require('../utils/functions.cjs');

var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, key + "" , value);
  return value;
};
var _Command = class _Command extends framework.Command {
  constructor(context, options) {
    let nameCommand = options.name;
    if (options.registerSubCommand && framework.container.client.options.subcommandsAdvanced?.nameCommandsAutogenerated === true) {
      const slashSubcommandParsed = functions_cjs.parseSlashSubcommand(options.registerSubCommand.slashSubcommand);
      nameCommand = `${options.registerSubCommand.parentCommandName}/${slashSubcommandParsed.name}`;
    }
    if (options.registerSubcommmandInGroup && framework.container.client.options.subcommandsAdvanced?.nameCommandsAutogenerated === true) {
      const slashSubcommandParsed = functions_cjs.parseSlashSubcommand(options.registerSubcommmandInGroup.slashSubcommand);
      nameCommand = `${options.registerSubcommmandInGroup.parentCommandName}/${options.registerSubcommmandInGroup.groupName}/${slashSubcommandParsed.name}`;
    }
    super(context, { ...options, name: nameCommand });
    if (this.options.registerSubCommand) {
      const { parentCommandName, slashSubcommand } = this.options.registerSubCommand;
      functions_cjs.analizeSubCommandParsed(this, parentCommandName, slashSubcommand);
    }
    if (this.options.registerSubcommmandInGroup) {
      const { parentCommandName, groupName, slashSubcommand } = this.options.registerSubcommmandInGroup;
      functions_cjs.analizeSubcommandGroupParsed(this, parentCommandName, groupName, slashSubcommand);
    }
  }
};
__name(_Command, "Command");
var Command = _Command;
var _Subcommand = class _Subcommand extends pluginSubcommands.Subcommand {
  constructor() {
    super(...arguments);
    __publicField(this, "hooks", const_cjs.RegisterSubcommandsHooks);
  }
};
__name(_Subcommand, "Subcommand");
var Subcommand = _Subcommand;

exports.Command = Command;
exports.Subcommand = Subcommand;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=command.cjs.map